# Class OverlappingReadsErrorCalculator

java.lang.Object
picard.sam.SamErrorMetric.BaseErrorCalculator
picard.sam.SamErrorMetric.OverlappingReadsErrorCalculator

All Implemented Interfaces:
  `BaseCalculator`

public class OverlappingReadsErrorCalculator extends BaseErrorCalculator
A calculator that estimates the error rate of the bases it observes, assuming that the reference is truth. This calculator only includes bases that have been read twice in the same template (once from each read) and thus only includes bases that arise from the overlapping part of the reads. Over those bases the Calculator distinguishes between whether the two reads agree with each other but differ from the reference (indicative of a difference between the template and the reference, and when one of the reads agrees with the reference but the other does not which indicates that there might have been a sequencing error in that read.

## Constructor Summary

Constructors
Constructor
Description
`OverlappingReadsErrorCalculator()`

## Method Summary

Modifier and Type
Method
Description
`void`
`addBase(htsjdk.samtools.util.SamLocusIterator.RecordAndOffset recordAndOffset, htsjdk.samtools.reference.SamLocusAndReferenceIterator.SAMLocusAndReference locusAndRef)`
The function by which new loci are "shown" to the calculator
`OverlappingErrorMetric`
`getMetric()`
Returns the metric generated by the observed loci
`String`
`getSuffix()`
The suffix that pertains to the implementation of aggregation

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### OverlappingReadsErrorCalculator

public OverlappingReadsErrorCalculator()

## Method Details

### addBase

public void addBase(htsjdk.samtools.util.SamLocusIterator.RecordAndOffset recordAndOffset, htsjdk.samtools.reference.SamLocusAndReferenceIterator.SAMLocusAndReference locusAndRef)
The function by which new loci are "shown" to the calculator

Specified by:
  `addBase` in interface `BaseCalculator`
Overrides:
  `addBase` in class `BaseErrorCalculator`

### getSuffix

public String getSuffix()
The suffix that pertains to the implementation of aggregation

### getMetric

public OverlappingErrorMetric getMetric()
Returns the metric generated by the observed loci